<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.gz.mapper.system.DictMapper">

    <select id="selectDictByCode" resultType="com.gz.dto.system.DictDTO">
        select * from tab_dict where parent_id = (select id from tab_dict where dict_code = #{code} and deleted = 0) and deleted = 0
    </select>

    <select id="selectGdnd" resultType="com.gz.dto.system.gdndDTO">
        select DISTINCT gdnd AS gdnx from tab_archives;
    </select>
</mapper>
